'use strict';
define([
  'angular',
  'widgets/utilities/calendar/services/calendarDirectivesProvider',
  'widgets/utilities/calendar/directives/calendarColor',
  'widgets/utilities/calendar/directives/calendarEventType',
], function(
  angular,
  calendarDirectivesProvider,
  calendarColor,
  calendarEventType
) {
  var calendarutilities = angular.module('calendarutilities', []);

  calendarutilities.provider(
    'calendarDirectivesProvider',
    calendarDirectivesProvider
  );
  calendarutilities.directive('calendarColor', calendarColor);
  calendarutilities.directive('calendarEventType', calendarEventType);

  return calendarutilities;
});
